Salesforce 43.0 - connection errors

Four Stars

Salesforce 43.0 - connection errors

Hello,

 

I had Talend job which imported Accounts to Salesforce. I worked correctly.

Lately Salesforce was upgraded to version 43.0.

I use Talend wersion 6.4.1. Integration stopped working, connection issue occurs. There are couple of different error messages:

Exception|tSalesforceInput_1|java.io.IOException:com.sforce.ws.ConnectionException: Failed to send request to https://[.....].my.salesforce.com/services/Soap/u/39.0/00D0Y000002Fjeq|1

 

Exception|tSalesforceOutputBulkExec_1_tSalesforceBulkExec|java.io.IOException:[AsyncApiException  exceptionCode='ClientInputError'

exceptionMessage='Server error returned in unknown format'

 

Exception|tSalesforceOutputBulkExec_1_tSalesforceBulkExec|java.io.IOException:[AsyncApiException  exceptionCode='ClientInputError'

exceptionMessage='Failed to create batch'

 

I tried to change the numer of version in Salesforce_endpoint to 42.0 and 43.0. No success. Only error message is different:

java.lang.RuntimeException: IOException: com.sforce.ws.ConnectionException: unable to find end tag at:  START_TAG seen ...</accessibilityMode><chatterExternal>... @1:746

 

I know that officially Talend v.6.4 is not compatible with SF v.43.0.

Do you think that upgrading Talend to 7.0 will solve the problem?

Did anybody faced similar issue and managed to solved it?

Appreciate for any help.

 

Forteen Stars TRF
Forteen Stars

Re: Salesforce 43.0 - connection errors

I use TOS 6.4.1 with Salesforce every day with API 39.0 without any problem.


TRF
Four Stars

Re: Salesforce 43.0 - connection errors

Thanks for replay.

But what about Salesforce 43.0?

Salesforce version was upgraded to v. 43.0

Forteen Stars TRF
Forteen Stars

Re: Salesforce 43.0 - connection errors

Anyway, Salesforce API versions after 39.0 are not supported by TOS 6.4.1

You just have to change version from 43.0 to 39.0 and that's all.


TRF
Moderator

Re: Salesforce 43.0 - connection errors

Hello,

Here is online document about:TalendHelpCenter: Supported systems, databases and business applications by Talend components for V 7.0.

So far, Salesforce V 43 is not list on the supported table.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.